plot.monomvn {monomvn} | R Documentation

## Plotting bmonomvn output

### Description

Functions for visualizing the output from `bmonomvn`, particularly the posterior standard deviation estimates of the mean vector and covariance matrix, and samples from the solution to a Quadratic Program

### Usage

    ## S3 method for class 'monomvn'
    plot(x, which=c("mu", "S", "Snz", "Sinz", "QP"),
         xaxis=c("numna", "index"), main=NULL, uselog=FALSE, ...)

### Arguments

`x` | a `"monomvn"`-class object that must be named `x` for generic plotting
`which` | determines the parameter whose standard deviation to be visualized: the mean vector (`"mu"` for `sqrt($mu.var)`); the covariance `matrix` (`"S"` for `sqrt($S.var)`), or `"S{i}nz"` for `sqrt($S{i}.nz)`, which both result in an `image` plot; or the distribution of solutions `$W` to a Quadratic Program that may be obtained by supplying `QP = TRUE` as input to `bmonomvn`
`xaxis` | indicates how x-axis (or x- and y-axis in the case of `which = "S" || "S{i}nz"`) should be displayed. The default option `"numna"` shows the (ordered) number of missing entries (`NA`s) in the corresponding column, whereas `"index"` simply uses the column index; see details below
`main` | optional text to be added to the main title of the plots; the default of `NULL` causes the automatic generation of a title
`uselog` | a logical which, when `TRUE`, causes the log of the standard deviation to be plotted instead
`...` | passed to `plot.default`

### Details

Currently, this function only provides a visualization of the posterior standard deviation estimates of the parameters, and the distributions of samples from the posterior of the solution to a specified Quadratic Program. Therefore it only works on the output from `bmonomvn`

All types of visualization (specified by `which`) are presented in the order of the number of missing entries in the columns of the data passed as input to `bmonomvn`. In the case of `which = "mu"` this means that y-values are presented in the order `x$o`, where the x-axis is either `1:length(x$o)` in the case of `xaxis = "index"`, or `x$na[x$o]` in the case of `xaxis = "numna"`. When `which = "S"` is given the resulting `image` plot is likewise ordered by `x$o` where the x- and y-axis are as above, except that in the case where `xaxis = "numna"` the repeated counts of `NA`s are are adjusted by small increments so that x and y arguments to `image` are distinct. Since a `boxplot` is used when `which = "QP"` it may be that `xaxis = "index"` is preferred

### Value

The only output of this function is beautiful plots

### Author(s)

Robert B. Gramacy rbg@vt.edu

### References

http://bobby.gramacy.com/r_packages/monomvn

### See Also

`bmonomvn`, `print.monomvn`, `summary.monomvn`

[Package monomvn version 1.9-10 Index]